
Foreman - Bug #650

snippets don't obey safe rendering

02/04/2011 03:29 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Unattended installations   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While doing the safemode rendering it looks like we overlooked snippets.  Should be pretty simple to do.

Associated revisions

Revision b1d0f88f - 02/16/2011 03:02 AM - Justin Sherrill

Fixes #650 - Makes snippet rendering use the safemode module to prevent attacks

Note, that the safemode module is still not used for file system snippets, since those require file-system access anyways

History

#1 - 02/16/2011 03:04 AM - Ohad Levy

- Category set to Unattended installations

- Target version set to 0.2

#2 - 02/16/2011 03:05 AM - Justin Sherrill

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset b1d0f88f9719897e77ace7813fe4e2866d630909.

#3 - 02/24/2011 10:37 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
